Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004650TestLinkTest Specificationpublic2011-07-04 07:312012-09-01 20:00
Reportervirgo0 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSRHELOS Version5.5
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004650: "Delete this version" button not work in Test Case edit
DescriptionInstall TL 1.9.3, (TL: Test Link)
Click "Delete this version" button during test case edit, blank page displayed.
  -> Can't delete test case version

Check in TL 1.9.2,
"Delete this version" button can work normally
  -> Can delete test case version
Steps To Reproduce1. Install TL 1.9.3, login as "admin"
2. Create test suite and test case (with step)
3. Click "Create a new version"
    -> Get message "Test Case Version 2 was successfully created"
4. In version 2, clcik "Delete this version"
    -> blank page displayed.
Additional InformationEvent added after click "Delete this version" button
[TL 1.9.2]
 E_NOTICE Undefined property: stdClass::$main_descr - in /data/www/html/cdad-1.9.2/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 15
 E_NOTICE Undefined property: stdClass::$sqlResult - in /data/www/html/cdad-1.9.2/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 20
 E_NOTICE Undefined property: stdClass::$action - in /data/www/html/cdad-1.9.2/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 20
 E_NOTICE Undefined property: stdClass::$sqlResult - in /data/www/html/cdad-1.9.2/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 25

[TL 1.9.3]
 E_NOTICE Undefined property: stdClass::$delete_enabled - in /data/www/html/cdad-1.9.3/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 68
 E_NOTICE Undefined property: stdClass::$sqlResult - in /data/www/html/cdad-1.9.3/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 25
 E_NOTICE Undefined property: stdClass::$action - in /data/www/html/cdad-1.9.3/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 20
 E_NOTICE Undefined property: stdClass::$sqlResult - in /data/www/html/cdad-1.9.3/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 20
 E_NOTICE Undefined property: stdClass::$main_descr - in /data/www/html/cdad-1.9.3/gui/templates_c/%%F4^F42^F42AF5F6%%tcDelete.tpl.php - Line 15
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
 E_NOTICE Undefined index: type - in /data/www/html/cdad-1.9.3/lib/functions/exttable.class.php - Line 244
 E_NOTICE Undefined index: type - in /data/www/html/cdad-1.9.3/lib/functions/exttable.class.php - Line 244
 E_NOTICE Undefined index: type - in /data/www/html/cdad-1.9.3/lib/functions/exttable.class.php - Line 244
 E_NOTICE Undefined index: type - in /data/www/html/cdad-1.9.3/lib/functions/exttable.class.php - Line 244
 E_NOTICE Use of undefined constant TL_TESTLINK_CUSTOM_CSS - assumed 'TL_TESTLINK_CUSTOM_CSS' - in /data/www/html/cdad-1.9.3/lib/functions/tlsmarty.inc.php - Line 180
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql-5.0.77
BrowserIE 9 / IE 8 / Firefox 5.0
PHP Version5.3.5
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon TC-edit.jpg [^] (23,212 bytes) 2011-07-04 07:31

- Relationships
related to 0004322closedfman New Option to block delete of executed test cases. 
has duplicate 0004792closedfman can't delete TC version 
has duplicate 0004887closedfman Unable to delete testcase version 2 

-  Notes
(0015616)
fman (administrator)
2011-08-07 11:28

Reminder sent to: Julian

Can you try to fix this ?
(0015621)
Julian (reporter)
2011-08-08 08:21

Fixed on 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/be23b16d0c147f041bad827f7d9535444023d828 [^]

and Master:
http://gitorious.org/testlink-ga/testlink-code/commit/1b054d7897271d3c59535883e97ddb15b583a758 [^]
(0017376)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-07-04 07:31 virgo0 New Issue
2011-07-04 07:31 virgo0 File Added: TC-edit.jpg
2011-07-04 08:50 Julian Severity minor => major
2011-07-05 18:37 fman Product Version => 1.9.3 (2011 Q3 - bug fixing)
2011-07-05 18:37 fman Summary "Delete this version" button not work in Test Case edit - TL 1.9.3 => "Delete this version" button not work in Test Case edit
2011-08-07 11:28 fman Note Added: 0015616
2011-08-07 11:29 fman Status new => acknowledged
2011-08-08 08:12 Julian Relationship added related to 0004322
2011-08-08 08:21 Julian Note Added: 0015621
2011-08-08 08:21 Julian Status acknowledged => resolved
2011-08-08 08:21 Julian Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-08-08 08:21 Julian Resolution open => fixed
2011-08-08 08:21 Julian Assigned To => Julian
2011-11-03 16:29 fman Relationship added has duplicate 0004792
2012-01-23 18:42 fman Relationship added has duplicate 0004887
2012-09-01 20:00 fman Note Added: 0017376
2012-09-01 20:00 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker